import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  filename: z.string(),
  mimeType: z.string(),
  filePath: z.string().optional().nullable()
}).strict();
export const ClaimFileCreateWithoutClaimInputObjectSchema: z.ZodType<Prisma.ClaimFileCreateWithoutClaimInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileCreateWithoutClaimInput>;
export const ClaimFileCreateWithoutClaimInputObjectZodSchema = makeSchema();
